Bug 464041 - (CVE-2008-4070) CVE-2008-4070 Thunderbird cancelled newsgrop messages
CVE-2008-4070 Thunderbird cancelled newsgrop messages
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=moderate,source=mozilla,report...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-25 21:00 EDT by Josh Bressers
Modified: 2010-04-19 18:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-19 18:03:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2008-09-25 21:00:07 EDT
From MFSA 2008-46:
Georgi Guninski reported a buffer overflow in the handling of cancelled
newsgroup messages. The error was caused by too small a heap buffer being
allocated to store message header information. This buffer could be overrun
by an attacker using a specially crafted message which could crash the mail
reader and potentially be used to run arbitrary code on the victim's
computer.
Comment 1 Fedora Update System 2008-11-21 05:55:50 EST
thunderbird-2.0.0.18-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 2 Fedora Update System 2008-11-21 06:03:36 EST
thunderbird-2.0.0.18-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Vincent Danen 2010-04-19 18:03:33 EDT
This vulnerability was resolved in Red Hat Enterprise Linux 4, 5, and Optional Productivity Applications version 5 via RHSA-2008:0908:

https://rhn.redhat.com/errata/RHSA-2008-0908.html

Note You need to log in before you can comment on or make changes to this bug.